<!-- <div class="animated fadeIn">
  <div class="row">
    <div class="col-sm-12">
      <div class="card card-accent-primary">
        <div class="card-header" style="font-weight: bold;">Register Driver</div>
          <div class="card-body"> -->

              <div class="container">
                  <div class="row">
                  <div class="col-sm-3"></div>

                  <div class="col-sm-6">
                      <mat-toolbar color="primary">Add Driver</mat-toolbar>
                    <mat-card class="example-card">

                      <mat-card-content>
            <form [formGroup]="registerDriverForm" (ngSubmit)="onSubmit()">

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="name">Name
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="name"
                    placeholder="Enter Driver Name">
                    <div *ngIf="registerDriverForm.get('name').invalid && registerDriverForm.get('name').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('name').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Name
                    </mat-label>
                  <input matInput placeholder="Enter Driver Name"  formControlName="name" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('name').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="addressPerm">Permanent Address
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="addressPerm"
                    placeholder="Enter Permanent Address">
                    <div *ngIf="registerDriverForm.get('addressPerm').invalid && registerDriverForm.get('addressPerm').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('addressPerm').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Permanent Address
                    </mat-label>
                  <input matInput placeholder="Enter Permanent Address"  formControlName="addressPerm" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('addressPerm').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="addressCurr">Current Address
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="addressCurr"
                    placeholder="Enter Current Address">
                    <div *ngIf="registerDriverForm.get('addressCurr').invalid && registerDriverForm.get('addressCurr').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('addressCurr').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Current Address
                    </mat-label>
                  <input matInput placeholder="Enter Current Address"  formControlName="addressCurr" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('addressCurr').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>



              <!-- <div class="form-group row">
                <label class="col-sm-6" for="phone">Mobile Number
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="phone"
                    placeholder="Enter Mobile Number"
                    maxlength="10"
                   >
                    <div *ngIf="registerDriverForm.get('phone').invalid && registerDriverForm.get('phone').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('phone').errors.required">
                        This field is required.
                      </div>
                      <div *ngIf="!!registerDriverForm.get('phone').errors.pattern">
                        Only Positive Integers are allowed.
                      </div>
                      <div *ngIf="!!registerDriverForm.get('phone').errors.exactLength">
                        Phone Number should be of exact 10 digits.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Mobile Number
                    </mat-label>
                  <input matInput placeholder="Enter Mobile Number" maxlength="10" formControlName="phone" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('phone').hasError('required')"
                  >This field is required</mat-error
                >
                <mat-error *ngIf="!!registerDriverForm.get('phone').hasError('pattern')"
                  >Only Positive Integers are allowed</mat-error
                >
                <mat-error *ngIf="!!registerDriverForm.get('phone').hasError('exactLength')"
                  >Phone Number should be of exact 10 digits</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="estDailyEarning">Daily Estimated Earning
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="estDailyEarning"
                    placeholder="Enter Daily Estimated Earning">
                    <div *ngIf="registerDriverForm.get('estDailyEarning').invalid && registerDriverForm.get('estDailyEarning').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('estDailyEarning').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Daily Estimated Earning
                    </mat-label>
                  <input matInput placeholder="Enter Daily Estimated Earning"  formControlName="estDailyEarning" class="formControl"/>
                <mat-error *ngIf="!!registerDriverForm.get('estDailyEarning').hasError('pattern')"
                  >Only Numbers are allowed</mat-error
                >
              </mat-form-field>


              <!-- <div class="form-group row">
                <label class="col-sm-6" for="adharNumber">UIDAI (Aadhaar)
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="adharNumber"
                    placeholder="Enter Aadhar Number"
                    maxlength="12">
                    <div *ngIf="registerDriverForm.get('adharNumber').invalid && registerDriverForm.get('adharNumber').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('adharNumber').errors.required">
                        This field is required.
                      </div>
                      <div *ngIf="!!registerDriverForm.get('adharNumber').errors.pattern">
                        Only Positive Integers are allowed.
                      </div>
                      <div *ngIf="!!registerDriverForm.get('adharNumber').errors.exactLength">
                        Aadhar Number should be of exact 12 digits.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> UIDAI (Aadhaar)
                    </mat-label>
                  <input matInput placeholder="Enter Aadhar Number" maxlength="12" formControlName="adharNumber" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('adharNumber').hasError('required')"
                  >This field is required</mat-error
                >
                <mat-error *ngIf="!!registerDriverForm.get('adharNumber').hasError('pattern')"
                  >Only Positive Integers are allowed</mat-error
                >
                <mat-error *ngIf="!!registerDriverForm.get('adharNumber').hasError('exactLength')"
                  >Aadhar Number should be of exact 12 digits</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="licenseNum">License Number
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="licenseNum"
                    placeholder="Enter License Number">
                    <div *ngIf="registerDriverForm.get('licenseNum').invalid && registerDriverForm.get('licenseNum').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('licenseNum').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> License Number
                    </mat-label>
                  <input matInput placeholder="Enter License Number"  formControlName="licenseNum" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('licenseNum').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="accNumber">Account Number
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="accNumber"
                    placeholder="Enter Account Number">
                    <div *ngIf="registerDriverForm.get('accNumber').invalid && registerDriverForm.get('accNumber').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('accNumber').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Account Number
                    </mat-label>
                  <input matInput placeholder="Enter Account Number"  formControlName="accNumber" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('accNumber').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="bankName">Bank Name
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="bankName"
                    placeholder="Enter Bank Name">
                    <div *ngIf="registerDriverForm.get('bankName').invalid && registerDriverForm.get('bankName').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('bankName').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Bank Name
                    </mat-label>
                  <input matInput placeholder="Enter Bank Name"  formControlName="bankName" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('bankName').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="bankAddress">Bank Address
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="bankAddress"
                    placeholder="Enter Bank Address">
                    <div *ngIf="registerDriverForm.get('bankAddress').invalid && registerDriverForm.get('bankAddress').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('bankAddress').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Bank Address
                    </mat-label>
                  <input matInput placeholder="Enter Bank Address"  formControlName="bankAddress" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('bankAddress').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="bankIFSC">Bank IFSC Code
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="bankIFSC"
                    placeholder="Enter Bank IFSC Code">
                    <div *ngIf="registerDriverForm.get('bankIFSC').invalid && registerDriverForm.get('bankIFSC').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('bankIFSC').errors.required">
                        This field is required.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Bank IFSC Code
                    </mat-label>
                  <input matInput placeholder="Enter Bank IFSC Code"  formControlName="bankIFSC" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('bankIFSC').hasError('required')"
                  >This field is required</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="pan">Permanent Account Number (PAN)
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="pan"
                    placeholder="Enter PAN">
                    <div *ngIf="registerDriverForm.get('pan').invalid && registerDriverForm.get('pan').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('pan').errors.required">
                        This field is required.
                      </div>

                      <div *ngIf="!!registerDriverForm.get('pan').errors.pattern">
                        Enter Valid PAN.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Permanent Account Number (PAN)
                    </mat-label>
                  <input matInput placeholder="Enter PAN"  formControlName="pan" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('pan').hasError('required')"
                  >This field is required</mat-error
                >
                <mat-error *ngIf="!!registerDriverForm.get('pan').hasError('pattern')"
                  >Enter Valid PAN</mat-error
                >
              </mat-form-field>

              <!-- <div class= "form-group row">
              <label class="col-sm-6" for="dob">Date of Birth (DOB)
                <span class="req">*</span>
              </label>
              <div class="col-sm-6">
                <input
                  type="text"
                  class="form-control"
                  formControlName="dob"
                  placeholder="Select Date of Birth DOB"

                  readonly="readonly"
                  #dpYMD="bsDatepicker"
                  bsDatepicker
                  [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD',containerClass:'theme-blue' }"

                  >
                  <div *ngIf="registerDriverForm.get('dob').invalid && registerDriverForm.get('dob').touched"
                    class="alert alert-danger">

                    <div *ngIf="!registerDriverForm.get('dob').errors.required">
                      This field is required.
                    </div>
                  </div>
                  </div>
                </div> -->

                <mat-form-field class="form-group">
                    <input
                      matInput
                      [matDatepicker]="picker"
                      formControlName="dob"
                      readonly="readonly"
                      placeholder="Select Date of Birth"
                    />
                    <mat-label>Date Of Birth</mat-label>
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker disabled="false"></mat-datepicker>
                    <mat-error *ngIf="!!registerDriverForm.get('dob').errors.required">
                        This field is required.
                    </mat-error>
                  </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="fatherName">Father's Name
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="fatherName"
                    placeholder="Enter Father's Name">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Father's Name
                    </mat-label>
                  <input matInput placeholder="Enter Father's Name"  formControlName="fatherName" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="motherName">Mother's Name
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="motherName"
                    placeholder="Enter Mother's Name">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Mother's Name
                    </mat-label>
                  <input matInput placeholder="Enter Mother's Name"  formControlName="motherName" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="spouseName">Spouse's Name
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="spouseName"
                    placeholder="Enter Spouse's Name">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Spouse's Name
                    </mat-label>
                  <input matInput placeholder="Enter Spouse's Name"  formControlName="spouseName" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="noOfChildren">Number of Children
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="noOfChildren"
                    placeholder="Enter Number of Children"
                    >
                    <div *ngIf="registerDriverForm.get('noOfChildren').invalid && registerDriverForm.get('noOfChildren').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('noOfChildren').errors.pattern">
                        Only Positive Integers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Number of Children
                    </mat-label>
                  <input matInput placeholder="Enter Number of Children"  formControlName="noOfChildren" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('noOfChildren').hasError('required')"
                  >This field is required</mat-error
                >
                <mat-error *ngIf="!!registerDriverForm.get('noOfChildren').hasError('pattern')"
                  >Only Positive Integers are allowed</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="vehicleType">Vehicle Type
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <select
                    formControlName="vehicleType"
                    class="form-control"
                    >
                    <option value="-1">- Click to Select Vehicle Type -</option>
                    <option
                      *ngFor="let vehicle of vehicleOptions"
                       value="{{ vehicle.value }}">{{ vehicle.label }}</option>
                  </select>
                    <div *ngIf="registerDriverForm.get('vehicleType').invalid && registerDriverForm.get('vehicleType').touched"
                          class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('vehicleType').errors.min">
                        Please select Vehicle Type.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Vehicle Type </mat-label>
                  <mat-select formControlName="vehicleType" >
                    <!-- <mat-option value="-1"
                      >----Click to Select Vehicle Type----</mat-option> -->

                    <mat-option *ngFor="let v of vehicleOptions" value= "{{v.value}}">{{ v.label }}</mat-option>
                  </mat-select>
                  <mat-error *ngIf="registerDriverForm.get('vehicleType').hasError('min')">
                      Please select Vehicle Type
                  </mat-error>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="financeBy">Finance By
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="financeBy"
                    placeholder="Enter Finance By">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Financed By
                    </mat-label>
                  <input matInput placeholder="Enter Financed By"  formControlName="financeBy" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="financeAmount">Finance Amount
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="financeAmount"
                    placeholder="Enter Finance Amount"
                    >
                    <div *ngIf="registerDriverForm.get('financeAmount').invalid && registerDriverForm.get('financeAmount').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('financeAmount').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Finance Amount
                    </mat-label>
                  <input matInput placeholder="Enter Finance Amount"  formControlName="financeAmount" class="formControl"/>
              <mat-error *ngIf="!!registerDriverForm.get('financeAmount').hasError('pattern')">
                  Only Numbers are allowed.</mat-error>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="vehicleOwned">Vehicle Owned
                  <span class="req">*</span>
                </label>
                <div class="col-sm-6">
                  <select
                    formControlName="vehicleOwned"
                    class="form-control"
                    >
                    <option value="-1">- Click to Select -</option>
                    <option
                      *ngFor="let r of radioOptions"
                       value="{{ r.value }}">{{ r.label }}</option>
                  </select>
                    <div *ngIf="registerDriverForm.get('vehicleOwned').invalid && registerDriverForm.get('vehicleOwned').touched"
                          class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('vehicleOwned').errors.min">
                        Please select one value.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Vehicle Owned </mat-label>
                  <mat-select  formControlName="vehicleOwned" >
                    <!-- <mat-option value="-1"
                      >----Click to Select----</mat-option> -->

                    <mat-option *ngFor="let v of radioOptions" value= "{{v.value}}">{{ v.label }}</mat-option>
                  </mat-select>
                  <mat-error *ngIf="registerDriverForm.get('vehicleOwned').hasError('min')">
                      Please select one value
                  </mat-error>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="vehicleNo">Vehicle Number
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="vehicleNo"
                    placeholder="Enter Vehicle Number">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Vehicle Number
                    </mat-label>
                  <input matInput placeholder="Enter Vehicle Number"  formControlName="vehicleNo" class="formControl"/>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="vehicleManufacturer">Vehicle Manufacturer
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="vehicleManufacturer"
                    placeholder="Enter Vehicle Manufacturer">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Vehicle Manufacturer
                    </mat-label>
                  <input matInput placeholder="Enter Vehicle Manufacturer"  formControlName="vehicleManufacturer" class="formControl"/>
                </mat-form-field>


              <!-- <div class="form-group row">
                <label class="col-sm-6" for="motor">Motor
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="motor"
                    placeholder="Enter Motor">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Motor
                    </mat-label>
                  <input matInput placeholder="Enter Motor"  formControlName="motor" class="formControl"/>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="controller">Controller
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="controller"
                    placeholder="Enter Controller">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Controller
                    </mat-label>
                  <input matInput placeholder="Enter Controller"  formControlName="controller" class="formControl"/>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="ageOfVehicle">Age of Vehicle
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="ageOfVehicle"
                    placeholder="Enter Age of Vehicle"
                    >
                    <div *ngIf="registerDriverForm.get('ageOfVehicle').invalid && registerDriverForm.get('ageOfVehicle').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('ageOfVehicle').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Age of Vehicle
                    </mat-label>
                  <input matInput placeholder="Enter Age of Vehicle"  formControlName="ageOfVehicle" class="formControl"/>
                <mat-error *ngIf="!!registerDriverForm.get('ageOfVehicle').hasError('pattern')"
                  >Only Number are allowed</mat-error
                >
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="batteryType">Battery Type
                </label>
                <div class="col-sm-6">
                  <select
                    formControlName="batteryType"
                    class="form-control"
                    >
                    <option value="-1">- Click to Select Battery Type -</option>
                    <option
                      *ngFor="let r of batteryOptions"
                       value="{{ r.value }}">{{ r.label }}</option>
                  </select>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Battery Type </mat-label>
                  <mat-select  formControlName="batteryType" >
                    <!-- <mat-option value="-1"
                      >----Click to Select Battery Type----</mat-option> -->

                    <mat-option *ngFor="let v of batteryOptions" value= "{{v.value}}">{{ v.label }}</mat-option>
                  </mat-select>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="batterySupplier">Battery Supplier
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="batterySupplier"
                    placeholder="Enter Battery Supplier">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Battery Supplier
                    </mat-label>
                  <input matInput placeholder="Enter Battery Supplier"  formControlName="batterySupplier" class="formControl"/>
              </mat-form-field>

              <!-- <div class= "form-group row">
                <label class="col-sm-6" for="lastPurchasedDate">Last Purchased Date

                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="lastPurchasedDate"
                    placeholder="Select Last Purchased Date"

                    readonly="readonly"
                    #dpYMD="bsDatepicker"
                    bsDatepicker
                    [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD',containerClass:'theme-blue' }"
                    [maxDate]="maxDate"
                    >
                    </div></div> -->

                    <mat-form-field class="form-group">
                        <input
                          matInput
                          [matDatepicker]="picker1"
                          formControlName="lastPurchasedDate"
                          readonly="readonly"
                          placeholder="Select Last Purchased Date"
                          [max]="maxDate"
                        />
                        <mat-label>Last Purchased Date</mat-label>
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1 disabled="false"></mat-datepicker>
                      </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="drivingTime">Driving Time
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="drivingTime"
                    placeholder="Enter General Driving Time">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Driving Time
                    </mat-label>
                  <input matInput placeholder="Enter General Driving Time"  formControlName="drivingTime" class="formControl"/>
                  </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="chargingTime">Charging Time
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="chargingTime"
                    placeholder="Enter Charging Time">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Charging Time
                    </mat-label>
                  <input matInput placeholder="Enter Charging Time"  formControlName="chargingTime" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="chargingPlace">Charging Place
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="chargingPlace"
                    placeholder="Enter Place Where You Usually Charge">
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Charging Place
                    </mat-label>
                  <input matInput placeholder="Enter Place Where You Usually Charge"  formControlName="chargingPlace" class="formControl"/>
              </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="estDailyKm">Daily Estimated KM
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="estDailyKm"
                    placeholder="Enter Daily Estimated Km Driven"
                    >
                    <div *ngIf="registerDriverForm.get('estDailyKm').invalid && registerDriverForm.get('estDailyKm').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('estDailyKm').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Daily Estimated KM
                    </mat-label>
                  <input matInput placeholder="Enter Daily Estimated Km Driven"  formControlName="estDailyKm" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('estDailyKm').hasError('pattern')">
                    Only Numbers are allowed.
                  </mat-error>
                </mat-form-field>

              <!-- <div class="form-group row">
                <label class="col-sm-6" for="drivingExp">Experince in Driving
                </label>
                <div class="col-sm-6">
                  <input
                    type="text"
                    class="form-control"
                    formControlName="drivingExp"
                    placeholder="Enter Experince In Driving"
                    >
                    <div *ngIf="registerDriverForm.get('drivingExp').invalid && registerDriverForm.get('drivingExp').touched"
                      class="alert alert-danger">

                      <div *ngIf="!!registerDriverForm.get('drivingExp').errors.pattern">
                        Only Numbers are allowed.
                      </div>
                    </div>
                </div>
              </div> -->

              <mat-form-field class="form-group">
                  <mat-label> Experiene in Driving
                    </mat-label>
                  <input matInput placeholder="Enter Experience in Driving"  formControlName="drivingExp" class="formControl"/>
                  <mat-error *ngIf="!!registerDriverForm.get('drivingExp').hasError('pattern')">
                    Only Numbers are allowed.
                  </mat-error>
                </mat-form-field>

              <div class="row">
                  <div class="col-sm-4"></div>
                  <div class="col-sm-4"></div>
                  <div class="col-sm-4">
                        <button
                           mat-raised-button color="primary"
                 type="submit"
                 [disabled]="registerDriverForm.invalid">Submit</button></div></div>
            </form>
          </mat-card-content>
        </mat-card>

      </div>
      <div class="col-sm-3"></div>
      </div></div>
